[conspire] I've requested an impossible (package installation) situation

Eric De Mund ead-conspire at ixian.com
Tue Nov 8 15:18:04 PST 2005


Help. I've fallen into an impossible package installation situation and
I can't get up. To wit:

    % sudo apt-get install kde                  
    Reading package lists... Done
    Building dependency tree... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.

    Since you only requested a single operation it is extremely likely that
    the package is simply not installable and a bug report against
    that package should be filed.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
      kde: Depends: kde-amusements but it is not going to be installed
           Depends: kdeaddons but it is not installable
    E: Broken packages

I got into this situation by:

1.  Trying to install xmms-musepack, but it being similarly not
    permitted due to conflicts.
2.  Deinstalling kde--my window manager--with apt-get to remove the
    major conflict with xmms-musepack.
3.  Installing xmms-musepack with apt-get.
4.  Trying to reinstall kde with apt-get. No dice. Conflicts.
5.  Removing xmms-musepack with apt-get.
6.  Trying to reinstall kde with apt-get. Still no dice. Conflicts

Help! How can I get up off of the floor here?

"...when floors are wet and slippery with manure, you can have a bad
fall." --from the 1976 OSHA booklet, "Safety with Beef Cattle"

Eric De Mund              |   Ixian Systems, Inc.   | tel: (650) 303-4336
email: <ead at ixian.com>    | 650 Castro St, #120-210 | fax: (240) 282-4443
http://www.ixian.com/ead/ | Mountain View, CA 94041 | Y!M: ead0002

More information about the conspire mailing list